Viewing and Managing Data Links
Individual data link records within a Data Link Table Instance can be accessed and managed programmatically using the Membrane API:GET /data-links— retrieve data links for a specific Data Link Table Instance.DELETE /data-links/{dataLinkId}— delete individual data link records.
Data Links
A Data Link is a record within a Data Link Table Instance that has:externalRecordId– id of a record on the external app’s side.appRecordId– id of a record on your app’s side.direction– one of:export– link from your app to an external app.import– link from external app to your app.
Creating Data Link
A Data Link is created with the following data:dataLinkTableInstanceId– id of Data Link Table Instance associated with the recordexternalRecordIdappRecordIddirection–export,import, orboth. If directionbothis selected, then bothexportandimportlinks will be created.
Only one link with the sameexternalRecordId,appRecordId, anddirectioncan exist within a single Data Link Table Instance. If another one is created, it will overwrite the previously existing one.
Finding Data Link
When finding a data link with a Flow Node or a Formula, you need to provide:dataLinkTableInstanceIddirectionrecordId
direction automatically.